import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MTRCommissionableBrowserResult extends _NSObject {
    static alloc(): _MTRCommissionableBrowserResult;
    static new(): _MTRCommissionableBrowserResult;
    init(): _MTRCommissionableBrowserResult;
    /**
     * For a node advertising over DNS-SD, the instance name is a dynamic, pseudo-randomly selected, 64-bit temporary unique identifier, expressed as a fixed-length sixteen-character hexadecimal string, encoded as ASCII text using capital letters. For a node advertising over Bluetooth Low Energy, the instance name is always "BLE".
     */
    instanceName(): _NSString;
    /** A 16-bit unsigned value identifying the device manufacturer. */
    vendorID(): _NSNumber;
    /** A 16-bit unsigned value identifying the product. */
    productID(): _NSNumber;
    /** A 12-bit value matching the field of the same name in MTRSetupPayload. */
    discriminator(): _NSNumber;
    /** A boolean indicating whether the device has a commissioning window open. */
    commissioningMode(): boolean;
}
